std::aligned_union< _Len, _Types > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

## Public Types

using | type = typename aligned_storage< _S_len, alignment_value >::type

## Static Public Attributes

static const size_t | alignment_value

## Detailed Description

template<size_t _Len, typename... _Types>
struct std::aligned_union< _Len, _Types >

Provide aligned storage for types.

[meta.trans.other]

Provides aligned storage for any of the provided types of at least size _Len.

See also
  aligned_storage

Deprecated:
  Deprecated in C++23.

Definition at line 2226 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits